Name: gnome-mlview
Version: 0.9.0
Release: alt0.3cvs20050521
%define oldname mlview

Summary: Mlview - Tree Oriented XML Editor for GNOME
Summary(ru_RU.KOI8-R): MlView  XML  GNOME

License: GPL
Group: Editors
Url: http://www.freespiders.org/projects/gmlview/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://ftp.gnome.org/pub/GNOME/sources/mlview/0.9/%oldname-%version.tar.bz2
Source1: %name-%version.ru.po
Source2: %name-16.png
Source3: %name-32.png
Source4: %name-48.png

Patch0: %name-gcc4.patch

Requires: libxml2 >= 2.6.6
Obsoletes: mlview

# Typical environment for GNOME program
Requires(post): GConf2
Requires(post,postun): scrollkeeper
Requires(post,postun): desktop-file-utils
BuildPreReq: GConf2
BuildPreReq: desktop-file-utils
BuildPreReq: menu-devel

# manually removed: libavahi-glib
# Automatically added by buildreq on Sun May 21 2006
BuildRequires: esound gcc-c++ gnome-common libglademm-devel libgnomeui-devel libgtkmm2-devel libgtksourceview-devel libSM-devel libtinfo-devel libvte-devel libxslt-devel termutils

%description
gnome-mlview (Gnome Markup language Viewer) is an XML editor for GNOME.
It include support to view, edit, validate and save xml document by graphical
manipulation the xml Document Object Model.

%description -l ru_RU.KOI8-R
gnome-mlview (Gnome Markup language Viewer) --   XML  GNOME.
  , ,   
 XML ԣ     
 XML.

%prep
%setup -q -n %oldname-%version
%patch

cp -f %SOURCE1 po/ru.po

%build
./autogen.sh
%configure --disable-schemas-install --disable-static
%make_build

%install
%makeinstall

#icons entries
install -D %SOURCE2 %buildroot%_miconsdir/%name.png
install -D %SOURCE3 %buildroot%_iconsdir/%name.png
install -D %SOURCE4 %buildroot%_liconsdir/%name.png

mkdir -p %buildroot%_menudir

freedesktop2menu.pl %oldname "Applications/%group" \
	%buildroot%_desktopdir/%oldname.desktop \
	%buildroot%_menudir/%oldname

%__ln_s %_bindir/mlv %buildroot%_bindir/%name

%find_lang %oldname --with-gnome

%post
%gconf2_install %name
%update_menus
%update_scrollkeeper
%update_desktopdb

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_menus
%clean_scrollkeeper
%clean_desktopdb

%files -f %oldname.lang
%_libdir/*.so*
%_libdir/%oldname/plugins/
%_bindir/*
%_menudir/*
%_datadir/%oldname/
%_datadir/mime-info/*
%_datadir/application-registry/mlview.applications
%_sysconfdir/gconf/schemas/*
%_desktopdir/*
%_pixmapsdir/*
%_miconsdir/*.png
%_liconsdir/*.png
%_iconsdir/*.png

%changelog
* Thu Sep 14 2006 Vitaly Lipatov <lav@altlinux.ru> 0.9.0-alt0.3cvs20050521
- rebuild with new libvte

* Sun May 21 2006 Vitaly Lipatov <lav@altlinux.ru> 0.9.0-alt0.2cvs20050521
- build from CVS, update buildreq
- fix GCC4, as-needed problems

* Mon Feb 13 2006 Vitaly Lipatov <lav@altlinux.ru> 0.9.0-alt0.1
- new version
- update buildreq

* Tue Nov 09 2004 Vitaly Lipatov <lav@altlinux.ru> 0.7.1-alt2
- update buildreq
- spec file comformed to GNOME program packaging policy

* Mon Nov 08 2004 Vitaly Lipatov <lav@altlinux.ru> 0.7.1-alt1
- new version
- update russian translation

* Sun Jun 06 2004 Vitaly Lipatov <lav@altlinux.ru> 0.6.3-alt1
- new version; but wait 0.6.4 release if possible
- it release can't create new files; also please save document before exiting

* Sun Nov 30 2003 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt1
- new version
- adapted spec

* Thu Sep 11 2003 Vitaly Lipatov <lav@altlinux.ru> 0.6.0-alt1
- new version
- update ru.po

* Tue Jan 07 2003 Vitaly Lipatov <lav@altlinux.ru> 0.0.3-alt0.3.1rc2
- first release for Sisyphus
- new rc2
- add post/postun sections
